'use client';

import { useEffect, useState } from 'react';

interface IWindowSize {
  width: number;
  height: number;
}

const useWindowSize = () => {
  const initialSize: IWindowSize = {width: 0, height: 0};
  const [windowSize, setWindowSize] = useState(initialSize);

  useEffect(() => {
    setWindowSize({ width: window.innerWidth, height: window.innerHeight });

    const updateWindowSize = () => {
      setWindowSize({ width: window.innerWidth, height: window.innerHeight });
    };

    window.addEventListener('resize', updateWindowSize);
    return () => {
      window.removeEventListener('resize', updateWindowSize);
    };
  }, []);

  return windowSize;
};

export default useWindowSize;
